<!doctype html>
<html lang="es" class="h-100">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <title>Template de ejemplo</title>

  <link rel="canonical" href="https://getbootstrap.com/docs/4.3/examples/sticky-footer-navbar/">

  <!-- Bootstrap core CSS -->
  <link href="dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">


  <!-- Custom styles for this template -->
  <link href="css/basico.css" rel="stylesheet">
</head>

<body class="d-flex flex-column h-100">
  <header>
    <!-- Fixed navbar -->
    <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
      <a class="navbar-brand" href="#">Fixed navbar</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarCollapse"
        aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarCollapse">
        <ul class="navbar-nav mr-auto">
          <li class="nav-item active">
            <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">Link</a>
          </li>
          <li class="nav-item">
            <a class="nav-link disabled" href="#" tabindex="-1" aria-disabled="true">Disabled</a>
          </li>
        </ul>
        <form class="form-inline mt-2 mt-md-0">
          <input class="form-control mr-sm-2" type="text" placeholder="Search" aria-label="Search">
          <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
        </form>
      </div>
    </nav>
  </header>

  <!-- Begin page content -->
  <main role="main" class="flex-shrink-0">
    <div class="container">
      <h1 class="mt-5">Template de ejemplo </h1>
      <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Voluptate repellendus amet optio. Vitae dolore dolor placeat fuga exercitationem quo incidunt, fugiat eaque, assumenda numquam nesciunt non ipsa adipisci laudantium quos?</p>
    </div>

    <div class="container" id="app">
      <h1>{{ nombre }}</h1>
      <span>Ingrese su nombre: </span>
      <input type="text" v-model="nombre">

      <p v-if="nombre === 'mundo'"> Hola mundo</p>
      <p v-else>No es valido</p>

      <div class="row" >
        <div class="col-md-6">
          <h1>Jugando con las frutas</h1>
          <input type="text" placeholder="Agrega tus frutas favoritas" v-model='temp'>
          <button class="btn btn-info" @click="add()"> Agregar</button>
          <ul>
            <li v-for="item in frutas">{{ item }}</li>
          </ul>
        </div>
      </div>

      <div class="col-md-6">
        <h2>Propiedades computadas</h2>
        <input type="number" placeholder="Numero #1" v-model.number="num1">
        <input type="number" placeholder="Numero #2" v-model.number="num2">
        <br>
        <br>
        <br>
        <span class="alert alert-success">{{ resultado }}</span>
        <br>
        <h3> Calculando la edad magica</h3>
        <input v-model.number="anno" placeholder="año de nacimiento">
        <br>
        <br>
        <span class="alert alert-info"> {{ edad }}</span>
      </div>
    </div>

    

  </main>

  <footer class="footer mt-auto py-3">
    <div class="container">
      <span class="text-muted">Footer</span>
    </div>
  </footer>
  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
    integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous">
  </script>
  <script>
    window.jQuery || document.write('<script src="/docs/4.3/assets/js/vendor/jquery-slim.min.js"><\/script>')

  </script>
  <script src="dist/js/bootstrap.bundle.min.js"
    integrity="sha384-xrRywqdh3PHs8keKZN+8zzc5TX0GRTLCcmivcbNJWm2rs5C8PRhcEn3czEjhAO9o" crossorigin="anonymous">
  </script>

  <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>

  <script>
    new Vue ({
      
        el: '#app',
        data: {
          nombre: 'Hola',
          frutas: ['Mango','Naranjas','Fresas', 'Melon'],
          temp: '',
          num1: '',
          num2: ''
        },
        methods: {
          add() {
            this.frutas.push(this.temp)
          }
        },
        computed: {
          resultado(){
            return this.num1 + this.num2
          }
        },
        edad(){
          return 2019 - this.anno
        }
      
    })
  </script>
</body>

</html>
